Package com.castlabs.sdk.debug

## Enum DebugPlugin.DebugOverlayPosition

- java.lang.Object
- - java.lang.Enum<DebugPlugin.DebugOverlayPosition>
  - - com.castlabs.sdk.debug.DebugPlugin.DebugOverlayPosition

- All Implemented Interfaces:
    `Serializable`, `Comparable<DebugPlugin.DebugOverlayPosition>`
  Enclosing class:
    DebugPlugin

      public static enum DebugPlugin.DebugOverlayPosition
      extends Enum<DebugPlugin.DebugOverlayPosition>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Fullscreen` |
    `LeftBottom` |
    `LeftTop` |
    `RightBottom` |
    `RightTop` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DebugPlugin.DebugOverlayPosition` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static DebugPlugin.DebugOverlayPosition[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Fullscreen

          public static final DebugPlugin.DebugOverlayPosition Fullscreen

    - #### LeftTop

          public static final DebugPlugin.DebugOverlayPosition LeftTop

    - #### RightTop

          public static final DebugPlugin.DebugOverlayPosition RightTop

    - #### LeftBottom

          public static final DebugPlugin.DebugOverlayPosition LeftBottom

    - #### RightBottom

          public static final DebugPlugin.DebugOverlayPosition RightBottom

  - ### Method Detail

    - #### values

          public static DebugPlugin.DebugOverlayPosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DebugPlugin.DebugOverlayPosition c : DebugPlugin.DebugOverlayPosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DebugPlugin.DebugOverlayPosition valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null